commit:     488e6fa097cf460b02388f54a6f2236024b8dd7a
Author:     Paul Zander <negril.nx+gentoo <AT> gmail <DOT> com>
AuthorDate: Wed May 21 14:48:58 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May 22 19:42:26 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=488e6fa0

sci-mathematics/clipper2: add 1.5.3

Signed-off-by: Paul Zander <negril.nx+gentoo <AT> gmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/42212
Closes: https://github.com/gentoo/gentoo/pull/42212
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-mathematics/clipper2/Manifest              |  1 +
 sci-mathematics/clipper2/clipper2-1.5.3.ebuild | 47 ++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/sci-mathematics/clipper2/Manifest 
b/sci-mathematics/clipper2/Manifest
index 38f91558c64e..cdf7b0c0134d 100644
--- a/sci-mathematics/clipper2/Manifest
+++ b/sci-mathematics/clipper2/Manifest
@@ -1,2 +1,3 @@
 DIST Clipper2_1.4.0.tar.gz 600352 BLAKE2B 
0ba268ba691fde4aef456d8f6ef1810a8c13b77c5bb932296b11b5f0d96dfe70f2d617d7ba013f85817dbc01a800d0ab1fba566e4ab56efde6541c00f3d7f359
 SHA512 
91036e81244f3615095d7cd8522f9c4a32ea66f802e3d190393eb8939e1a706b69c69c3a5b7c6522235c075dd6ecd45f21bffb47448ba72191ddcf05e9e93128
 DIST Clipper2_1.5.2.tar.gz 620852 BLAKE2B 
639943509f3e1b27c7e26e7ca2a6b14afd32654d7d43900e2f5eb6db83c2c48af17c14aa35a99a6dc679d5015f5378d56bc600ff3a9250dcf1d690d11789f751
 SHA512 
0d885c5e38906fdc64c915a1cabbd37dc3d752d8c8988100f5f9af79234c3634254c0f61e931cc8bb0cec1f3404aba63be61e6cfcb00b177a3d75c415680fbd2
+DIST Clipper2_1.5.3.tar.gz 624450 BLAKE2B 
f1cc293f6b1dc2d4f5409c29a8b70daf70af9e4e7b58af9b55faec4a1481bd9f5ec89779bfa4fb728326cbf8a3b0770f0bafc34a52e380271d552afee1157379
 SHA512 
a56f1bf28a9baf8cbcf42d63e4c73f8b4a01eac9edfb59dafb752f67af7873bb46a256fc26f7bb839ee7051db69efb9a1c21c54b358cf55c84c4b137f7f2d804

diff --git a/sci-mathematics/clipper2/clipper2-1.5.3.ebuild 
b/sci-mathematics/clipper2/clipper2-1.5.3.ebuild
new file mode 100644
index 000000000000..2f4943d0911f
--- /dev/null
+++ b/sci-mathematics/clipper2/clipper2-1.5.3.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PN="Clipper2"
+MY_P=${MY_PN}_${PV}
+
+inherit cmake flag-o-matic
+
+DESCRIPTION="Polygon Clipping and Offsetting"
+HOMEPAGE="https://www.angusj.com/clipper2/Docs/Overview.htm";
+SRC_URI="https://github.com/AngusJohnson/Clipper2/archive/refs/tags/${MY_P}.tar.gz";
+S="${WORKDIR}/${MY_PN}-${MY_P}/CPP"
+
+LICENSE="Boost-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       test? ( dev-cpp/gtest )
+"
+
+src_prepare() {
+       cmake_src_prepare
+
+       #943720
+       sed -e 's/ -Werror//g' -i CMakeLists.txt || die
+}
+
+src_configure() {
+       append-flags -fno-strict-aliasing
+       filter-lto
+
+       local mycmakeargs=(
+               -DCLIPPER2_UTILS="no"
+               -DCLIPPER2_EXAMPLES="no"
+               -DCLIPPER2_TESTS="$(usex test)"
+               -DCLIPPER2_USINGZ="no"  # manifold 
src/third_party/CMakeLists.txt
+
+               -DUSE_EXTERNAL_GTEST="yes"
+       )
+       cmake_src_configure
+}

Reply via email to